> ## Documentation Index
> Fetch the complete documentation index at: https://ailabtools.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Smart Beauty

> Smart Beauty API retouches portraits with skin whitening, smoothing, face slimming, facial feature adjustment, and makeup effects.



## OpenAPI

````yaml /docs/openapi.json post /api/portrait/effects/smart-beauty
openapi: 3.0.0
info:
  title: AILabAPI
  description: >-
    [<b>AILabTools</b>](https://www.ailabtools.com) is an advanced tool that
    offers a vast array of simple and flexible API endpoints to suit your
    specific needs. With just one [<b>API
    KEY</b>](https://www.ailabtools.com/doc/get-api-key), you can easily call
    any of the endpoints and integrate them quickly into your application or
    workflow, allowing for smooth and efficient operations. 
     
    [<b>AILabTools</b>](https://www.ailabtools.com) is continuously evolving,
    and you can anticipate even more API endpoints being added in the future,
    further enhancing its capabilities and usefulness for your artificial
    intelligence and machine learning requirements.
  version: 1.0.0
servers:
  - url: https://www.ailabapi.com
    description: Production server
security:
  - apiKeyAuth: []
tags:
  - name: AI IMAGE
  - name: AI IMAGE > Image Enhancement
  - name: AI IMAGE > Image Effects
  - name: AI IMAGE > Image Editing
  - name: AI IMAGE > Image Scoring
  - name: AI BACKGROUND REMOVAL
  - name: AI BACKGROUND REMOVAL > Portrait
  - name: AI BACKGROUND REMOVAL > General
  - name: AI PORTRAIT
  - name: AI PORTRAIT > Portrait Effects
  - name: AI PORTRAIT > Portrait Enhance
  - name: AI PORTRAIT > Portrait Editing
  - name: AI PORTRAIT > Portrait Analysis
  - name: AI COMMON
paths:
  /api/portrait/effects/smart-beauty:
    post:
      tags:
        - AI PORTRAIT > Portrait Effects
      summary: Smart Beauty
      description: >-
        Smart Beauty API retouches portraits with skin whitening, smoothing,
        face slimming, facial feature adjustment, and makeup effects.
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                task_type:
                  type: string
                  description: |-
                    Task Type. 
                    - `sync`: Synchronous tasks. 
                    - `async`: Asynchronous tasks.
                  example: sync
                image_target:
                  type: string
                  format: binary
                multi_face:
                  type: string
                  description: >-
                    Multiple-face beauty strategy. When set to `1`, beauty
                    enhancement is applied to all faces (it is recommended that
                    the number of faces in the image be less than 18, as too
                    many faces may lead to instability). When set to any other
                    value or not specified, only the largest face is processed.
                beauty_level:
                  type: string
                  description: Beauty level.
      responses:
        '200':
          headers:
            Content-Type:
              schema:
                type: string
                example: application/json
          content:
            application/json:
              schema:
                type: object
              examples:
                sync:
                  summary: Sync
                  value:
                    request_id: ''
                    log_id: ''
                    error_detail:
                      code: ''
                      code_message: ''
                      message: ''
                    task_type: sync
                    result: ''
                async:
                  summary: Async
                  value:
                    request_id: ''
                    log_id: ''
                    error_detail:
                      code: ''
                      code_message: ''
                      message: ''
                    task_type: async
                    task_id: ''
          description: Success
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: ailabapi-api-key
      description: API Key for authentication

````